<html xmlns="http://www.w3.org/1999/xhtml" dir="ltr" lang="es-ES">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=latin1_spanish_ci" />
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
    <title>...::: Sistema de Registro, Control y Asistencia T&eacute;cnica de Equipos Tenol&oacute;gicos - SIRECONASTET-DTPCG :::...</title>
    <link rel="stylesheet" href="css/main.css" type="text/css" media="screen" />
<style type="text/css">
.Estilo1 {
    font-family: Verdana, Arial, Helvetica, sans-serif;;
    font-weight: normal;
    font-size: 14px;
    color:#000000;
    vertical-align:middle;
    text-align: center;
}
.Estilo2 {
    font-family: Verdana, Arial, Helvetica, sans-serif;
    font-weight: bold;
    font-size: 14px;
    color:#F0F8FF;
    vertical-align:middle;
}
</style>

<script type="text/javascript" src="jquery.js"> </script>
<script type="text/javascript" src="main.js"> </script>

</head>
<body bgcolor="#F0F0F0">
<?php 
  include "mnPrincipal.php";
  
?>
 <table width="946" border="2" align="center" cellpadding="15" cellspacing="10" bordercolor="#FF0000">
      <tr>
        <td colspan="6"><div align="center" class="Estilo1">      
          <p>&nbsp;</p>
          <p>&nbsp;</p>
          <p> <b> CONSULTA POR EQUIPO TECNOLÓGICO </b> </p>
        </div> </td>
      </tr>
     <tr ><td  >

           </td>
       </tr> 
       <tr><td>
           
            <?php
            //Verdana, Arial, Helvetica, sans-serif;
            
                include "conexion/conex.php";
                 $enlace =conectarbase();
                 $sql = "SELECT DISTINCT Num_bien from reporte";
				 $resul=mysql_query($sql);
                 if ($resul>0){
				 	$i=0;
				 	while ($row=mysql_fetch_array($resul)) { 
            	 		$reportes[$i][0]=$row['Num_bien'];
						$n=$row['Num_bien'];
						 $sql2 = "SELECT * from equipo_tecnologico where Numero_bien='$n'";
						 $resul2=mysql_query($sql2);
						 $row2=mysql_fetch_array($resul2);
						 $ip=$row2['ip_computador'];
						 if(empty($ip)){
						 	$reportes[$i][1]=" ";
						 }else{
						$reportes[$i][1]=$ip;
						}
						$i++;
				    }
					$reg=$i;
					//inicializando la matriz********************
					for ($i=0;$i<$reg;$i++){
						 for ($j=2;$j<=4;$j++){
						 	$reportes[$i][$j]=0;
						 }
					}
					
					//**********************
					for($i=0;$i<$reg;$i++){
						$valor=$reportes[$i][0];
						$sql="SELECT * from reporte where Num_bien='$valor'";
						 $resul=mysql_query($sql);
						 while ($row=mysql_fetch_array($resul)){
						 	$servicio=$row['Tipo_servicio'];
							if ($servicio=="Mantenimiento Preventivo") {
								$reportes[$i][2]+=1;
								//echo $reportes[$i][1];
							}
							if ($servicio=="Mantenimiento Correctivo") {
								$reportes[$i][3]+=1;
							}
							if ($servicio=="Asistencia y Soporte Tecnico") {
								$reportes[$i][4]+=1;
							}
						 
						 }
					
					}?>
				 <table width="946"  border="1" align="center" bordercolor="#000000" style="border: 1px solid #8A0808;">
                     <tr style="border: 1px solid #8A0808;"> 
                       <td bordercolor="#000000" bgcolor="#000000" class="Estilo2" width="14%" bordercolor="#000000"><div align="center"> Número del Bien </div> </td>
					   <td bordercolor="#000000" bgcolor="#000000" class="Estilo2" width="14%"><div align="center"> IP del Bien </div></td>
                            <td bordercolor="#000000" bgcolor="#000000" class="Estilo2" width="14%"><div align="center"> Mantenimiento Preventivo </div> </td>
                            <td bordercolor="#000000" bgcolor="#000000" class="Estilo2" width="14%"><div align="center"> Mantenimiento Correctivo </div> </td>
                            <td bordercolor="#000000" bgcolor="#000000" class="Estilo2" width="14%"><div align="center"> Asistencia y Soporte Técnico </div> </td>
					 <tr>
					 <?php
					 	for ($i=0;$i<$reg;$i++){
							echo "<tr>";
							for ($j=0;$j<5;$j++){
						?>
							 
                             <td style="border: 1px solid #000000;" class="Estilo1">
							 <?php 
							  echo $reportes[$i][$j];
							 ?>
							 </td>
                            <?php
							}
							echo "</tr>";
						}				 
					echo "</table>";
				 }else{
				 	echo "<script LANGUAGE='JavaScript'>
                        alert('No hay Ningun Reporte para Mostrar');
                        history.go(-1)
                        </script>";
				 }	
           	  
             ?>
      </td>
      </tr>
 </div>
</table>    

<script type="text/javascript" src="jquery.js"></script>
    <script type="text/javascript" src="main.js"></script>    
</body>
</html>